Bug 338541 - %post --log does not work as expected
%post --log does not work as expected
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-18 14:38 EDT by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-26 10:31:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-10-18 14:38:25 EDT
Description of problem:

I did put the following line in my kickstart file:

  %post --log=/root/post.log

After the installation, the file /root/post.log does not exist at all, though my
post script generates a fairly big amount of output on both stdout and stderr.

Version-Release number of selected component (if applicable):

anaconda-0:11.3.0.42-1.i386
Comment 1 Chris Lumens 2007-10-18 15:14:25 EDT
When you say "after the installation", are you referring to after you have
rebooted and are looking at the installed system, or are you referring to after
anaconda has finished but before you have rebooted?
Comment 2 Lubomir Kundrak 2007-10-18 16:39:08 EDT
Chris: after the reboot. I have not looked right after anaconda finished. Isn't
it expected to be in the target filesystem after the reboot?
Comment 3 Chris Lumens 2007-10-26 10:31:52 EDT
Oh I see what's going on here.  The log file location isn't being interpreted
relative to the chroot, so your logs are ending up in /root instead of
/mnt/sysimage/root and are therefore being destroyed when you reboot.  This
should be fixed in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.